#!/bin/bash
# installer shell script for vq.

default_num_processors=$(nproc)
#
default_debug="debug0"

num_processors=${1:-$default_num_processors}
debug_mode=${2:-$default_debug}

run_tests=${3:-"no_tests"}

#echo "num_proc: "$num_processors
#echo "debug_mode: "$debug_mode

echo "building with "$num_processors" processors in debug_mode: "$debug_mode

#
#
rm -rf build
mkdir build
cd build
## spp:
 #cmake ..
 ## mpp:
if [ "${debug_mode}" == "debug0" ]
then
    CC=mpicc CXX=mpicxx cmake ..
elif [ debug_mode -eq "debug1" ]
then
    CC=mpicc CXX=mpicxx cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo
elif "${debug_mode}" == "debug2" || $debug_mode == "debug" ]
then
    # most-debugging, slowest.
    CC=mpicc CXX=mpicxx cmake .. -DCMAKE_BUILD_TYPE=Debug
else
    CC=mpicc CXX=mpicxx cmake ..
fi

make -j $num_processors
cd ..

#if [ "${run_tests}"=="tests" ]
#then
#	echo "making tests..."
#	cd build
#	make test
#	cd ..
#fi


## note on cmake options for debugging -- optimization:
#CC=mpicc CXX=mpicxx cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo
## Half and half
#
#CC=mpicc CXX=mpicxx cmake -DCMAKE_BUILD_TYPE=Release
## Most optimized, can’t do backtraces
#
#CC=mpicc CXX=mpicxx cmake -DCMAKE_BUILD_TYPE=Debug
## Least optimized
